Subject: Re: bug#71554: 29.3; eshell-command async buffer behavior

From: Jim Porter <[email-masked]>
Date: Fri, 5 Jul 2024 13:23:26 -0700

On 7/5/2024 11:44 AM, Thierry Volpiatto wrote:
>> My understanding is that this would prompt the user if there were a
>> buffer named "*Eshell Async Command Output*" (good), but also if there
>> were a buffer named "*Eshell Async Command Output*<2>" (possibly
>> unnecessary).
> 
> Why?
> 
> If we remove the cl-loop, we will have only:
> 
> (if (buffer-live-p (get-buffer "*Eshell Async Command Output*"))
>      (do something according to eshell-command-async-buffer))
> 
> which will return nil and
> 
> (rename-buffer buf "*Eshell Async Command Output*" nil)
> 
> will run inconditionally without asking anything while the process in
> "*Eshell Async Command Output*<2>" is still (maybe) running.
> 
> Did I miss something?

If an Eshell command is running in the "...<2>" buffer, then running 
another Eshell command in "*Eshell Async Command Output*" at the same 
time should be ok. As such, I don't think it's necessary to prompt the 
user in this case: the two async commands can happily run side-by-side.